Subject: bug#25819: 25.1; Added by Package.el. Added by Package.el. Added by Package.el. Added by Package.el.

From: Glenn Morris <[email-masked]>
Date: Wed, 22 Feb 2017 14:28:27 -0500

[email-masked] wrote:

> root) My /root/.emacs looks something like this:
>
>     (setenv "HOME" "/home/frederik/")
>     (setq savehist-file "/root/.emacs-history")
>     (load "~/.emacs")
>     (setenv "HOME" "/root/")
>
> Obviously this does not contain a "(package-initialize)" line, so the
[...]
> I wasn't able to figure out why the "(package-initialize)" lines then
> get inserted in ~/.emacs rather than /root/.emacs, but I hope the
> above clues provide a good enough place for someone else to start
> debugging this.

I tested with:

/tmp/h1/.emacs:
    (setenv "HOME" "/tmp/h2/")
    (setq savehist-file "/tmp/h1/.emacs-history")
    (load "~/.emacs")
    (setenv "HOME" "/tmp/h1/")

/tmp/h2/.emacs:
    (setq foo 99)

HOME=/tmp/h1 emacs-25.1
M-x package-initialize

and could not reproduce any problem.
The package lines get added to /tmp/h1/.emacs, once only.

If you don't feel like debugging further, you could just add a
commented out package-initialize line to /root/.emacs.
Somehow I don't think your problem is a common one. :)